| Irrlicht 3D Engine |

Public Member Functions | Protected Member Functions
irr::core::irrAllocator< T > Class Template Reference

Very simple allocator implementation, containers using it can be used across dll boundaries. More...

`#include <irrAllocator.h>`

List of all members.

## Public Member Functions

- virtual ~irrAllocator ()
    Destructor.
- T * allocate (size_t cnt)
    Allocate memory for an array of objects.
- void construct (T *ptr, const T &e)
    Construct an element.
- void deallocate (T *ptr)
    Deallocate memory for an array of objects.
- void destruct (T *ptr)
    Destruct an element.

## Protected Member Functions

- virtual void internal_delete (void *ptr)
- virtual void * internal_new (size_t cnt)

## Detailed Description

### template<typename T>
class irr::core::irrAllocator< T >

Very simple allocator implementation, containers using it can be used across dll boundaries.

Definition at line 25 of file irrAllocator.h.

## Constructor & Destructor Documentation

template<typename T>

virtual irr::core::irrAllocator< T >::~irrAllocator | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 30 of file irrAllocator.h.

## Member Function Documentation

template<typename T>

T* irr::core::irrAllocator< T >::allocate | ( | size_t | cnt | ) | `[inline]`

Allocate memory for an array of objects.

Definition at line 33 of file irrAllocator.h.

Referenced by irr::video::SMaterialLayer::getTextureMatrix(), irr::core::list< ISceneNode * >::insert_after(), irr::core::list< ISceneNode * >::insert_before(), irr::video::SMaterialLayer::operator=(), irr::core::list< ISceneNode * >::push_back(), irr::core::list< ISceneNode * >::push_front(), and irr::video::SMaterialLayer::setTextureMatrix().

template<typename T>

void irr::core::irrAllocator< T >::construct | ( | T * | ptr,
|  | const T & | e
| ) |  | `[inline]`

Construct an element.

Definition at line 45 of file irrAllocator.h.

Referenced by irr::video::SMaterialLayer::getTextureMatrix(), irr::core::list< ISceneNode * >::insert_after(), irr::core::list< ISceneNode * >::insert_before(), irr::video::SMaterialLayer::operator=(), irr::core::list< ISceneNode * >::push_back(), irr::core::list< ISceneNode * >::push_front(), and irr::video::SMaterialLayer::setTextureMatrix().

template<typename T>

void irr::core::irrAllocator< T >::deallocate | ( | T * | ptr | ) | `[inline]`

Deallocate memory for an array of objects.

Definition at line 39 of file irrAllocator.h.

Referenced by irr::core::list< ISceneNode * >::clear(), irr::core::list< ISceneNode * >::erase(), irr::video::SMaterialLayer::operator=(), and irr::video::SMaterialLayer::~SMaterialLayer().

template<typename T>

void irr::core::irrAllocator< T >::destruct | ( | T * | ptr | ) | `[inline]`

Destruct an element.

Definition at line 51 of file irrAllocator.h.

Referenced by irr::core::list< ISceneNode * >::clear(), irr::core::list< ISceneNode * >::erase(), irr::video::SMaterialLayer::operator=(), and irr::video::SMaterialLayer::~SMaterialLayer().

template<typename T>

virtual void irr::core::irrAllocator< T >::internal_delete | ( | void * | ptr | ) | `[inline, protected, virtual]`

Definition at line 63 of file irrAllocator.h.

Referenced by irr::core::irrAllocator< IMesh * >::deallocate().

template<typename T>

virtual void* irr::core::irrAllocator< T >::internal_new | ( | size_t | cnt | ) | `[inline, protected, virtual]`

Definition at line 58 of file irrAllocator.h.

Referenced by irr::core::irrAllocator< IMesh * >::allocate().

The documentation for this class was generated from the following file:

- irrAllocator.h